PSF(1)

NAME
psf - POSTSCRIPT filter

SYNOPSIS
psf [file] ...

DESCRIPTION
Psf can be used to change the behavior of a POSTSCRIPT program. It uses the Adobe structuring conventions to perform operations like page selection, changing the page order, rotate pages, print multiple copies, use the printers secondary paper input, and the printing of a message across each page. The concatenated input files are assumed to form one POSTSCRIPT program conforming to the PS-Adobe-2.0 structuring conventions. The output conforms to the same conventions. The -p option can be used to convert input files from text to POSTSCRIPT before any further processing takes place.
In all options with a variable part expressed by italics, except the -sort option, that variable part need not be part of the option argument, but can be the next argument. For example: `psf -#1' and `psf -# 1' have the same effect.

OPTIONS

-p  This option is an exception in that the input files are treated as printable text and sent to psprint(1) before any further processing takes place.

-olist
    Select the pages mentioned in the list, which has the same format as is used in troff(1) utilities. List is a comma separated list of page numbers (N) and ranges (N1-N2). The initial or trailing number of a range can be left unspecified. Neither the pages in the POSTSCRIPT input, nor in the list need to be ordered.
    Example: -o-4,9,11-13,15- will cause the pages 1, 2, 3, 4, 9, 11, 12, 13, 15 and 16 of a 16 page document to be present in the output.

-#N Causes N copies of each page to be printed.

-r  Reverse the page order.

-mmessage
    Print the message diagonally across each page in point size 54 outline helvetica bold.

-land
    Print each page in landscape mode. I.e. rotated 90 degrees.

-upside
    Print each page upside down. Assumes upright A4.

-2  Each page produced by the options and input files described above is reduced by a factor √½. Each pair of consecutive pages is then printed side by side on a single page.

-securityN[,message]
    This option uses an Océ specific PostScript operator that can be used allow printing of a document only if the printer receives security code N at its console. If this code is not entered within 30 seconds the document will not be printed. N must be a number in the range 0 .. 99999999. The optional message will be displayed on the Océ console while it is waiting for the code to be entered. The default message is the user's login name.

-c  Use the secondary paperfeed mechanism. This means manualfeed on some machines and cassette on others.

-inputtrayN
    Causes the input to be taken from inputtray N. The default input tray of most printers is set up by the system administrators. The -m may set the inputtray on some printers.

-outputtrayN
    Causes the output to be placed in outputtray N. Most printers have output tray 0 as their default.

-ips_ignore
    Causes the printer to ignore any request for unavailable page sizes. The printer or printer manager might warn when this feature is used. The results of using both this option and the -inputtray option are undefined. This option can only be used on printers with PostScript Level 2.

-ips_fit
    Causes the printer to ignore any request for unavailable page sizes and scale the page images such that they fit on the printed pages. The page images from the input are centered on the printed pages. The printer or printer manager might warn when this feature is used. The results of using both this option and the -inputtray option are undefined. This option can only be used on printers with PostScript Level 2.

-ips_error
    Causes the printer to produce an error for unavailable page sizes and stop processing the rest of the job. This option can only be used on printers with PostScript Level 2.

-noreport
    Disables warning for unusual medium requests, like unavailable page sizes. Can be used in combination with the ips options above to avoid warning messages from the printer. This option can only be used on printers with PostScript Level 2.

-sort[N]
    This option is useful when multiple copies of one document are produced. On printers with this capability it places each copy in a separate output bin. The start output bin is the bin indicated by the -outputtray option. The default start output bin is 2. N indicates the maximum number of copies produced. The default is the number of copies indicated by the -# option. Blank space is not allowed between -sort and N.

-duplex
    Causes the output to be printed in duplex mode. The default binding is as if the resultant pages are to be bound together with their leftmost edge. This is under the assumption that the input consist of PostScript in the default orientation. The -tumble option can be used for alternative binding.

-noduplex
    Some printers have duplex mode as their default. This option makes these printers produce a single page on each sheet of paper.

-tumble
    This option is only useful with the -duplex option. It causes the `backside` pages to be flipped relative to the front side pages.

-selectstring
    The string is placed in the PostScript input. If the statusdict dictionary exists in the PostScript interpreter, it will be present on top of the dictionary stack during the execution of string.

-courierold
    A special feature that triggers use of Old Courier fonts on the Océ 9145. It has no effect on other printers.

-nondsc
    Assume that the input does not obey the Structure Conventions and try to make the most of it. This is useful for output of packages like WordPerfect that do not produce proper POSTSCRIPT.

--  Indicates end of options. All following arguments are considered to be input file names.

BUGS
Some options do not cooperate well when given on one command line. In that case it might be wise to split the twp operations into two separate passes over the file. For example: "psf -2 | psf -upside" instead of "psf -2 -upside".

FILES
/usr/local/lib/ProcSets/pagemess.proc    the ProcSet for
-m
reduced by a factor √½./usr/tmp/psf..N temporary files used for page reversal.

SEE ALSO
psprint(1), lpr(1), devps(1)